Create a test payment
POST
/sandbox/payments/create
const url = 'https://hub.stablezact.com/api/v1/sandbox/payments/create';const options = { method: 'POST', headers: {'X-Public-Key': '<X-Public-Key>', 'Content-Type': 'application/json'}, body: '{"amount":1,"currency":"USDT","network":"example","customerEmail":"hello@example.com","metadata":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://hub.stablezact.com/api/v1/sandbox/payments/create \ --header 'Content-Type: application/json' \ --header 'X-Public-Key: <X-Public-Key>' \ --data '{ "amount": 1, "currency": "USDT", "network": "example", "customerEmail": "hello@example.com", "metadata": { "additionalProperty": "example" } }'Behaves like a real payment but settles nothing. Use it to exercise your integration without spending. The response carries isTest: true and sandbox: true.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Test payment created.
Media typeapplication/json
object
success
boolean
message
string
payment
object
id
string format: uuid
amount
string
currency
string
network
string
status
string
isTest
boolean
sandbox
boolean
paymentMode
string
feeAmount
string
expiresAt
string format: date-time
createdAt
string format: date-time
Examplegenerated
{ "success": true, "message": "example", "payment": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "amount": "example", "currency": "example", "network": "example", "status": "example", "isTest": true, "sandbox": true, "paymentMode": "example", "feeAmount": "example", "expiresAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z" }}Missing or invalid credentials.
Media typeapplication/json
object
success
boolean
error
required
Short machine-ish reason.
string
message
Longer explanation, when there is one.
string
Example
{ "error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."}